{% extends "base.html" %}
{%- import "common/macros/generic.html" as mg -%}


{% block content_main %}
<div class="row">
    <div class="col-12 col-md-8">
        <div class="card">
            <div class="card-header">
                {#
                <div class="row">
                    <div class="col-12 col-md-6 col-xl-7">
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb bg-transparent mb-1 mb-md-0 py-1 py-md-0 pl-1">
                                <li class="breadcrumb-item active">Account Settings</li>
                            </ol>
                        </nav>
                    </div>
                    <div class="col-12 col-md-6 col-xl-5 text-right">
                        <div class="row">
                            <div class="col"></div>
                        </div>
                    </div>
                </div>
                #}
                <h4 class="card-title mt-1 mt-md-0"> Account Settings</h4>
            </div>
            <div class="card-body">
                <form data-account-settings method="POST" action="{{ url_for('account.save') }}">
                    <input type="hidden" name="_id" value="{{ record._id }}" />
                    <div class="row">
                        <div class="col-12 col-md-10 offset-md-1">
                            <div class="row">
                                <div class="col-12">
                                    <div class="form-group">
                                        <label>{{ "username"|normalize|title }}</label>
                                        <input type="text" name="username" class="form-control" required maxlength="255" value="{{ record.username }}" data-default-value="{{ record.username }}" />
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-12">
                                    <div class="form-group">
                                        <label>{{ "first_name"|normalize|title }}*</label>
                                        <input type="text" name="first_name" class="form-control" required maxlength="255" value="{{ record.first_name }}" data-default-value="{{ record.first_name }}" />
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-12">
                                    <div class="form-group">
                                        <label>{{ "last_name"|normalize|title }}*</label>
                                        <input type="text" name="last_name" class="form-control" required maxlength="255" value="{{ record.last_name }}" data-default-value="{{ record.last_name }}" />
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-12">
                                    <div class="form-group">
                                        <label>{{ "gender"|normalize|title }}*</label>
                                        <select name="gender" class="form-control" required data-default-value="{{ record.gender }}">
                                            <option value="">-- Select Gender --</option>
                                            <option value="male" {% if record.gender == 'male' %}selected{% endif %}>Male</option>
                                            <option value="female" {% if record.gender == 'female' %}selected{% endif %}>Female</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr />
                            <div class="row">
                                <div class="col-12">
                                    <div class="form-group">
                                        <label>{{ "email_address"|normalize|title }}</label>
                                        <input type="email" name="email" class="form-control" maxlength="255" value="{{ record.email }}" data-default-value="{{ record.email }}" />
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-12">
                                    <div class="form-group">
                                        <label>{{ "primary_contact_number"|normalize|title }}</label>
                                        <input type="text" name="primary_contact_number" class="form-control" maxlength="255" value="{{ record.primary_contact_number }}" data-default-value="{{ record.primary_contact_number }}" />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <button type="submit" class="invisible"></button>
                </form>
            </div>
            <div class="card-footer text-right">
                <a href="{{ url_for('account.change_password') }}" class="btn btn-danger btn-sm mr-2">Change Password</a>
                <button type="button" class="btn btn-secondary btn-sm mr-2" data-reset-form="form[data-account-settings]"><i class="fa fa-undo"></i> Reset</button>
                <button type="button" class="btn btn-info btn-sm" data-submit-form="form[data-account-settings]">Update Account</button>
            </div>
        </div>
    </div>
    <div class="col-12 col-md-4">
        <div class="card card-user">
            <div class="image">
                <img src="{{ url_for('static', filename='img/bg.jpg') }}" />
            </div>
            <div class="card-body text-center">
                <div class="author">
                    <a>
                        <img class="avatar border-gray bg-white" src="{{ url_for('static', filename='img/avatar.png') }}" />
                    </a>
                </div>
                <h5>{{ record.last_name }}, {{ record.first_name }}</h5>
                <hr>
                <p>Statistics</p>
            </div>
        </div>
    </div>
</div>
{% endblock %}


{% block scripts %}
    <script>
        $dom.document.on('submit', '[data-account-settings]form', function(e) {
            e.preventDefault();
            let $form = $(this);
            $.post($form.attr('action'), $form.serialize(), function() {})
            .done(function(response) {
                if (isDefined(response.success) && response.success) {
                    Swal.fire({
                        title: 'Account Successfully Updated',
                        text: '',
                        type: 'success'
                    });
                }
                else {
                    Swal.fire('Error', response.error, 'error');
                }
            })
            .always(function() {
                $dom.document.find('[data-submit-form]').ladda('stop');
            })
            .fail(function() {
                Swal.fire('Error', 'Server Error', 'error');
            });
        });
    </script>
{% endblock %}
